Search Results for

Show / Hide Table of Contents

# Enum AssetData.DataType

Type of data asset.

###### Namespace: AppstockSDK.Api.Native.Data.Request

###### Assembly: Appstock.Core.dll

##### Syntax

    [Serializable]
    public enum AssetData.DataType

### Fields

Name | Description
--- | ---
Address | Address.
CallToAction | CTA description - descriptive text describing a ‘call to action’ button for the destination URL.
Custom | Reserved for Exchange specific usage numbered above 500
Description | Descriptive text associated with the product or service being advertised. Longer length of text in response may be truncated or ellipsed by the exchange.
Description2 | Additional descriptive text associated with the product or service being advertised.
DisplayURL | Display URL for the text ad. To be used when sponsoring entity doesn't own the content. IE sponsored by BRAND on SITE (where SITE is transmitted in this field).
Downloads | Number downloads/installs of this product
Likes | Number of social ratings or “likes” of the product being offered to the user.
None | Not assigned.
Phone | Phone number.
Price | Price for product / app / in-app purchase. Value should include currency symbol in localised format.
Rating | Rating of the product being offered to the user. For example an app’s rating in an app store from 0-5.
SalePrice | Sale price that can be used together with price to indicate a discounted price compared to a regular price. Value should include currency symbol in localised format.
Sponsored | Sponsored By message where response should contain the brand name of the sponsor.

##### See Also

dataType